version: '3.7'
services:
  nginx:
    image: nginx:1.16
    restart: unless-stopped
    volumes:
      - ./nginx/site.conf:/etc/nginx/conf.d/default.conf
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
    command: ["nginx", "-g", "daemon off;"]
    ports:
        - 8081:8080
    networks:
      backoffice:
    depends_on:
      - front
    links:
      - front

  front:
    image: bayesimpact/react-base
    restart: unless-stopped
    volumes:
      - ./:/usr/app
    working_dir: /usr/app
    ports:
        - 3000:3000
    networks:
        backoffice:

networks:
    backoffice:
      